Package org.apache.sling.spi.resource.provider

# Interface ResourceContext

@ProviderType public interface ResourceContext
The resource context provides additional information for resource resolving.

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ResourceContext`
`EMPTY_CONTEXT`
"Empty" instance, not providing any additional information.

## Method Summary

Modifier and Type
Method
Description
`@Nullable Map<String,String>`
`getResolveParameters()`
Return optional parameters for resolving the resource.

## Field Details

### EMPTY_CONTEXT

static final ResourceContext EMPTY_CONTEXT
"Empty" instance, not providing any additional information.

## Method Details

### getResolveParameters

@Nullable @Nullable Map<String,String> getResolveParameters()
Return optional parameters for resolving the resource. For example if the resource is resolved through an http request, this map could contain the path parameters of the url.

Returns:
  A non empty map with parameters or `null`.